SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000401SiT!billingpublic2009-01-14 10:102009-02-27 16:27
Reporterpaulh 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.41 
Target Version3.45Fixed in Version3.45 
Summary0000401: After approving a billable incident you get a SQL error
Description2009-01-14T11:17:16+00:00 /webtrack/billable_incidents.php Application Warning [512] MySQL Query Error You have an error in your SQL synta
x; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AND m.expirydate > 1231931836 AND m.ter
m != 'yes'' at line 1 (in line 10402 of file /var/webtrack/includes/functions.inc.php)
2009-01-14T11:17:16+00:00 /webtrack/billable_incidents.php Warning [2] mysql_num_rows(): supplied argument is not a valid MySQL result res
ource (in line 10404 of file /var/webtrack/includes/functions.inc.php)


running 3.41
TagsNo tags attached.
Attached Files

- Relationships
child of 0000429closedpaulh Move billing functions to lib/ 

-  Notes
User avatar (0000491)
paulh (administrator)
2009-01-14 10:43

Tracked this down to get_service_percentage which passes a siteid to does_contact_have_billable_contract rather than a contact
User avatar (0000526)
paulh (administrator)
2009-01-25 17:22

trunk r4722 uses maintid all the way through

- Issue History
Date Modified Username Field Change
2009-01-14 10:10 paulh New Issue
2009-01-14 10:10 paulh Status new => assigned
2009-01-14 10:10 paulh Assigned To => paulh
2009-01-14 10:43 paulh Note Added: 0000491
2009-01-25 14:10 paulh Target Version => 3.45
2009-01-25 14:10 paulh Relationship added child of 0000429
2009-01-25 17:22 paulh Note Added: 0000526
2009-01-25 17:22 paulh Status assigned => resolved
2009-01-25 17:22 paulh Resolution open => fixed
2009-01-25 17:22 paulh Fixed in Version => 3.45
2009-02-27 16:27 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker